Subject: Re: [PATCH 0/8] introduce sysctl SYSCTL_U8_MAX and SYSCTL_LONG_S32_MAX

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Feb 2024 07:28:14 -0800

On Sun, 25 Feb 2024 12:05:30 +0800 [email-masked] wrote:
> The boundary check of multiple modules uses these static variables (such as
> two_five_five, n_65535, ue_int_max, etc), and they are also not changed.
> Therefore, add them to the shared sysctl_vals and sysctl_long_vals to avoid
> duplication. This also reduce the size a bit 

You provide no data on how big the reduction is.
Eric's suggestion to encode the values directly in the table entry
sounds great, please invest your time in that, instead of half measures.